/*****
 *       xhackometer - part of the Hackometer project
 *                                                                   
 * xhackometer records keyboard and mouse and cache files
 * for later delivery to hackometer server
 *                                                                   
 *        Copyright (C) 2009 Henrik Sandklef      
 *                                                                   
 * This program is free software; you can redistribute it and/or     
 * modify it under the terms of the GNU General Public License       
 * as published by the Free Software Foundation; either version 3    
 * of the License, or any later version.                             
 *                                                                   
 *                                                                   
 * This program is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of    
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     
 * GNU General Public License for more details.                      
 *                                                                   
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software       
 * Foundation, Inc., 51 Franklin Street, Boston,            
 * MA  02110-1301, USA.                                              
 ****/


#ifndef XHM_COLLECT_RECORD_H 
#define XHM_COLLECT_RECORD_H

/*
 Xhackometer 
*/


/* Standard includes */
#include <stdio.h>
#include <unistd.h>

/* X11 includes */
#include <X11/Xlib.h>
#include <X11/Xmd.h>
#include <X11/Xproto.h>
#include <X11/Xos.h>
/*#include <X11/Xlibint.h> */
 /* Warning, there be dragons here.... */

/* X11 extensions includes */
#include <X11/extensions/record.h> 

/* xhm includes */
#include "xhm/xhm.h"
#include "send/send.h"

struct xhm_record_data {
  XRecordClientSpec * xids; 
  XRecordContext      rContext;
  XRecordState 	   ** rState; 
  XRecordRange     ** range_Array ; 
  XRecordRange 	    * range;
  Display 	    * control, *data ; 
  
  int 	data_flags ;
  int	major_return;
  int   minor_return; 
};

void 
xhm_set_protocol (XRecordRange *range_array);

void 
xhm_dispatch(XPointer xhm_data ,XRecordInterceptData *data );

XID  
xhm_client_id         (Display *); 

void
xhm_handle_event ( XPointer xd, XRecordInterceptData *xrecintd);



/* **** */
int 
stop_record(xhm_data* xd);

int
start_record (xhm_data *xd);

#endif /* XHM_COLLECT_RECORD_H */
